<script lang="ts">
  import { type EventSettings, GetEventSettings, GetEnvironmentTopology } from '@models/EventSettings';
  import eventInfo from '@assets/competition-info.md?raw';
  import { eventId } from '@stores';
  import Markdown from '@components/Markdown/Markdown.svelte';

  let eventSettings = GetEventSettings($eventId);

  function EventInfoText(settings?: EventSettings) {
    if (settings?.event?.environments?.length && settings.event.environments[0].info) {
      console.log(settings.event.environments[0].info);
      return settings.event.environments[0].info;
    }
    return eventInfo;
  }
</script>

{#await eventSettings}
  <p>Loading...</p>
{:then ev}
  <div class="container pb-5">
      <Markdown source={EventInfoText(ev)} />
  </div>
{:catch e}
  <h1>Event not found!</h1>
  <p>We couldn't find your selected event; please select one from the NavBar!</p>
{/await}
